	program magics

	call popen

	call pset1c("output_formats", (/"png"/), 1)
	call psetc("output_name", "graph1")
	call psetc("output_name_first_page_number", "off")

	call psetc("subpage_map_projection", "cartesian")
	call psetr("subpage_x_max", 20.00)
	call psetr("subpage_y_min", 25.00)
	call psetr("subpage_y_max", 75.00)
	call psetr("subpage_x_min", -20.00)
	call psetc("subpage_y_axis_type", "regular")
	call psetc("subpage_x_axis_type", "regular")

	call psetc("axis_grid", "on")
	call psetc("axis_orientation", "vertical")
	call psetc("axis_grid_line_style", "dot")
	call pseti("axis_grid_thickness", 1)
	call psetc("axis_grid_colour", "grey")
	call paxis

	call psetc("axis_grid", "on")
	call psetc("axis_orientation", "horizontal")
	call psetc("axis_grid_line_style", "dot")
	call pseti("axis_grid_thickness", 1)
	call psetc("axis_grid_colour", "grey")
	call paxis

	call pset1c("text_lines", (/"Simple Graph with legend"/), 1)
	call psetr("text_font_size", 1.00)
	call psetc("text_justification", "left")
	call psetc("text_colour", "charcoal")
	call ptext

	call pclose

	end
